//---------------------------------------------------------------------------
//
//                     ÊËÎ×ÊÎÂ ÏÀÂÅË
//             http://www.interestprograms.ru
//---------------------------------------------------------------------------
// MFCTestDlg.h : header file
//

#pragma once

#include <gdiplus.h>
using namespace Gdiplus;

// CMFCTestDlg dialog
class CMFCTestDlg : public CDialog
{
// Construction
public:
	CMFCTestDlg(CWnd* pParent = NULL);	// standard constructor
	~CMFCTestDlg();

// Dialog Data
	enum { IDD = IDD_MFCTEST_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	IStream* m_pStream;
	afx_msg void OnBnClickedButton1();


	HRESULT LoadImageFromStream(IStream* pStream);
	IPicture* m_pPicture;
	HRESULT DrawImage(HDC hdc, const RECT& rc);
};
